MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Reader Class Referenceabstract

An interface that can read bytes from a stream until the stream ends. More...

`#include <Reader.hxx>`

Inheritance diagram for Reader:
[legend]

## Public Member Functions
| Reader ()=default
| Reader (const Reader &)=delete
virtual gcc_nonnull_all size_t | Read (void *data, size_t size)=0
| Read data from the stream. More...

## Detailed Description

An interface that can read bytes from a stream until the stream ends.

This interface is simpler and less cumbersome to use than InputStream.

Definition at line 35 of file Reader.hxx.

## Constructor & Destructor Documentation

Reader::Reader | ( |  | ) |
| default

Reader::Reader | ( | const Reader & |  | ) |
| delete

## Member Function Documentation

virtual gcc_nonnull_all size_t Reader::Read | ( | void * | data,
|  | size_t | size
| ) |  |
| pure virtual

Read data from the stream.

Returns
  the number of bytes read into the given buffer or 0 on end-of-stream

Implemented in FileReader, GunzipReader, DecoderReader, PeekReader, AutoGunzipReader, and InputStreamReader.

The documentation for this class was generated from the following file:

- fs/io/Reader.hxx